# RemoteDirectory (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.sftp
Class RemoteDirectory

    java.lang.Object
      net.schmizz.sshj.sftp.RemoteResource
          net.schmizz.sshj.sftp.RemoteDirectory

All Implemented Interfaces:
  Closeable

    public class RemoteDirectory

extends RemoteResource

Field Summary

Fields inherited from class net.schmizz.sshj.sftp.RemoteResource
`handle, log, path, requester`

Constructor Summary
`RemoteDirectory(Requester requester, String path, String handle)`

Method Summary
`List<RemoteResourceInfo>` `scan(RemoteResourceFilter filter)`

Methods inherited from class net.schmizz.sshj.sftp.RemoteResource
`close, getPath, newRequest, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteDirectory

    public RemoteDirectory(Requester requester,
                           String path,
                           String handle)

Method Detail

### scan

    public List<RemoteResourceInfo> scan(RemoteResourceFilter filter)
                                  throws IOException

  Throws:
    `IOException`

Copyright © 2009-2011. All Rights Reserved.